I have an iMac G5 OSX Leopard Version 10.5. Can I upgrade to 10.6?

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    No, the version of OS X you have is the latest that will run on a G5, which is a PowerPC processor. All later versions require an Intel Processor.

    Was this useful? Answer 1

    17 of 17 people found this useful

  • No. Macs with the G5 processor can not go past OS10.5.

    Was this useful? Answer 2

    6 of 6 people found this useful

Related Questions